=== debian/changelog ===
ros-crystal-qt-gui-cpp (1.0.6-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 10 Jun 2019 07:00:00 -0000

ros-crystal-qt-gui-cpp (1.0.4-1bionic) bionic; urgency=high

  * support TinyXML2 version 2.2.0 on Xenial (#169 <https://github.com/ros-visualization/qt_gui_core/issues/169>)
  * set default C++ standard to 14
  * remove obsolete maintainer (#159 <https://github.com/ros-visualization/qt_gui_core/issues/159>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Feb 2019 08:00:00 -0000

ros-crystal-qt-gui-cpp (1.0.3-1bionic) bionic; urgency=high

  * skip qt_gui_cpp on Windows (#158 <https://github.com/ros-visualization/qt_gui_core/issues/158>)
  * fix finding Qt5 widgets on Windows (#157 <https://github.com/ros-visualization/qt_gui_core/issues/157>)

 -- D. Hood <dhood@osrfoundation.org>  Tue, 11 Dec 2018 08:00:00 -0000

ros-crystal-qt-gui-cpp (1.0.2-1bionic) bionic; urgency=high

  * move build location of qt_gui_cpp_sip library out-of-source (#156 <https://github.com/ros-visualization/qt_gui_core/issues/156>)

 -- D. Hood <dhood@osrfoundation.org>  Tue, 11 Dec 2018 08:00:00 -0000

ros-crystal-qt-gui-cpp (1.0.1-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Tue, 11 Dec 2018 08:00:00 -0000

ros-crystal-qt-gui-cpp (1.0.0-1bionic) bionic; urgency=high

  * port to Windows (#146 <https://github.com/ros-visualization/qt_gui_core/issues/146>)
  * check check of return value of loadFile (#152 <https://github.com/ros-visualization/qt_gui_core/issues/152>)
  * add required libraries (#148 <https://github.com/ros-visualization/qt_gui_core/issues/148>)
  * migrate from tinyxml to tinyxml2 (#147 <https://github.com/ros-visualization/qt_gui_core/issues/147>)
  * add test for importing sip generated library (#150 <https://github.com/ros-visualization/qt_gui_core/issues/150>)
  * register plugins at the correct location (#144 <https://github.com/ros-visualization/qt_gui_core/issues/144>)
  * fix include dir path (#140 <https://github.com/ros-visualization/qt_gui_core/issues/140>)
  * use ament_lint_auto (#136 <https://github.com/ros-visualization/qt_gui_core/issues/136>)
  * modify qt_gui_cpp to fix build errors in rqt_gui_core (#137 <https://github.com/ros-visualization/qt_gui_core/issues/137>)
  * update tests (#133 <https://github.com/ros-visualization/qt_gui_core/issues/133>)
  * port to ROS 2 (#135 <https://github.com/ros-visualization/qt_gui_core/issues/135>)
  * remove boost shared_ptr references
  * remove boost filesystem depends
  * autopep8 (#123 <https://github.com/ros-visualization/qt_gui_core/issues/123>)

 -- D. Hood <dhood@osrfoundation.org>  Mon, 10 Dec 2018 08:00:00 -0000

ros-crystal-qt-gui-cpp (0.3.11-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Wed, 29 Aug 2018 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.3.10-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Sun, 05 Aug 2018 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.3.9-1bionic) bionic; urgency=high

  * change included pluginlib header to avoid deprecation warning (#114 <https://github.com/ros-visualization/qt_gui_core/issues/114>)

 -- D. Hood <dhood@osrfoundation.org>  Fri, 03 Aug 2018 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.3.8-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Fri, 03 Nov 2017 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.3.7-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Wed, 25 Oct 2017 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.3.6-1bionic) bionic; urgency=high

  * add missing run_depend on TinyXML (#100 <https://github.com/ros-visualization/qt_gui_core/issues/100>)
  * add TinyXML to target_link_libraries (#99 <https://github.com/ros-visualization/qt_gui_core/issues/99>)

 -- D. Hood <dhood@osrfoundation.org>  Thu, 03 Aug 2017 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.3.5-1bionic) bionic; urgency=high

  * find and depend on tinyxml, add missing tinyxml include (#96 <https://github.com/ros-visualization/qt_gui_core/issues/96>, #97 <https://github.com/ros-visualization/qt_gui_core/issues/97>)
  * fix relative import for Python3 (#89 <https://github.com/ros-visualization/qt_gui_core/pull/89>)

 -- D. Hood <dhood@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.3.4-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-crystal-qt-gui-cpp (0.3.3-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.3.2-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Thu, 21 Apr 2016 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.3.1-1bionic) bionic; urgency=high

  * more fixes for shiboken 2
  * add missing Qt include directories

 -- D. Hood <dhood@osrfoundation.org>  Mon, 18 Apr 2016 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.3.0-1bionic) bionic; urgency=high

  * switch to Qt5 (#64 <https://github.com/ros-visualization/qt_gui_core/pull/64>)

 -- D. Hood <dhood@osrfoundation.org>  Fri, 01 Apr 2016 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.2.30-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Wed, 30 Mar 2016 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.2.29-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.2.28-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Mon, 08 Jun 2015 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.2.27-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Wed, 29 Apr 2015 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.2.26-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-crystal-qt-gui-cpp (0.2.25-1bionic) bionic; urgency=high

  * fix finding specific version of PythonLibs with CMake 3 (#45 <https://github.com/ros-visualization/qt_gui_core/issues/45>)


